Class PagListado

  Private Sub btMostrar_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
    Dim pagDatos As New PagDatos(Me.lstPersonas.SelectedItem)
    Me.NavigationService.Navigate(pagDatos)
  End Sub

  Private Sub btAgregar_Click(sender As System.Object, e As System.Windows.RoutedEventArgs)
    Dim pagFunAgregarPersona As New PagFunAgregarPersona()
    AddHandler pagFunAgregarPersona.Return, AddressOf pagFunAgregarPersona_Return
    Me.NavigationService.Navigate(pagFunAgregarPersona)
  End Sub

  Private Sub pagFunAgregarPersona_Return(sender As Object, e As ReturnEventArgs(Of CPersona))
    ' Aquí se agregaría la persona "e.Result" a la base de datos
    If e IsNot Nothing Then
      System.Diagnostics.Debug.WriteLine(e.Result.Foto)
      System.Diagnostics.Debug.WriteLine(e.Result.Nombre)
      System.Diagnostics.Debug.WriteLine(e.Result.Direccion)
      System.Diagnostics.Debug.WriteLine(e.Result.Telefono)
      System.Diagnostics.Debug.WriteLine(e.Result.EsMovil)
    End If
  End Sub
End Class
